%define with_python_version 2.5
Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	synchronization framework library
Name:		libopensync
Version:	0.36
Release:	1
License:	GPL
URL: 		http://www.opensync.org/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  glib-devel
BuildRequires:  libxml2-devel
BuildRequires:  sqlite-devel
BuildRequires:	python-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
OpenSync is a synchronization framework that is platform and distribution independent. It consists of a powerful sync-engine and several plugins that can be used to connect to devices.

OpenSync is very flexible and capable of synchronizing any type of data, including contacts, calendar, tasks, notes and files.


%package devel
Summary:	Files for development using %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel

This package contains the headers and pkg-config file for
development of programs using %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
mkdir build
pushd build
cmake ../. -DCMAKE_INSTALL_PREFIX=%_prefix
make
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd

%files
%defattr(-,root,root)
%{_bindir}
#%{_sbindir}
%{_libdir}/lib*.so*
%{_libdir}/opensync-1.0/
%{_libdir}/python%{with_python_version}/
%{_datadir}/opensync-1.0/


%files devel
%defattr(-,root,root)
%{_includedir}/opensync-1.0/
%{_libdir}/*.so
%{_pkgconfig}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Aug 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.36-1
- Initial CCux package release

